package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_school_term_student_course_detail):
 */
public class MusicGroupSchoolTermStudentCourseDetail {

	/**  */
	private Long id;
	
	/**  */
	private Integer musicGroupSchoolTermCourseDetailId;
	
	/**  */
	private Integer userId;
	
	/** 会员可排课时长 */
	private Integer memberCourseMinutes = 0;
	
	/** 预排课消耗时长 */
	private Integer preMemberCourseMinutes = 0;
	
	/**  合奏课消耗的时长*/
	private Integer mixCourseMinutes = 0;
	
	/** 单技课消耗的时长 */
	private Integer singleCourseMinutes = 0;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Integer getMixCourseMinutes() {
		return mixCourseMinutes;
	}

	public void setMixCourseMinutes(Integer mixCourseMinutes) {
		this.mixCourseMinutes = mixCourseMinutes;
	}

	public Integer getSingleCourseMinutes() {
		return singleCourseMinutes;
	}

	public void setSingleCourseMinutes(Integer singleCourseMinutes) {
		this.singleCourseMinutes = singleCourseMinutes;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupSchoolTermCourseDetailId(Integer musicGroupSchoolTermCourseDetailId){
		this.musicGroupSchoolTermCourseDetailId = musicGroupSchoolTermCourseDetailId;
	}
	
	public Integer getMusicGroupSchoolTermCourseDetailId(){
		return this.musicGroupSchoolTermCourseDetailId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setMemberCourseMinutes(Integer memberCourseMinutes){
		this.memberCourseMinutes = memberCourseMinutes;
	}
	
	public Integer getMemberCourseMinutes(){
		return this.memberCourseMinutes;
	}
			
	public void setPreMemberCourseMinutes(Integer preMemberCourseMinutes){
		this.preMemberCourseMinutes = preMemberCourseMinutes;
	}
	
	public Integer getPreMemberCourseMinutes(){
		return this.preMemberCourseMinutes;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
